#!/usr/bin/env python3

import os
import time
import schedule
import subprocess


def run_ps_sync():
    print(subprocess.check_output(
        ['php', 'wp-content/plugins/access-post/Command/SyncGroupsCommand.php'],
        stderr=subprocess.STDOUT))


def tasks_for_dev():
    pass


def tasks_for_prod():
    schedule.every(1).hours.do(run_ps_sync)


if __name__ == '__main__':
    env_name = os.getenv('ENV_NAME', 'local')

    if env_name.lower() == "dev" or env_name.lower() == "test":
        tasks_for_dev()

    if env_name.lower() == "prod":
        # sync users every time when container starting
        run_ps_sync()
        tasks_for_prod()

    while True:
        schedule.run_pending()
        time.sleep(1)
